<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement("ALTER TABLE `ufutx_s2_shop_order` DROP `nums_lock`, DROP `nums_reject`, DROP `nums_send`, DROP `nums_signed`;");
        DB::statement("ALTER TABLE `ufutx_s2_shop_express` CHANGE `ship` `ship` TINYINT(3) UNSIGNED NOT NULL DEFAULT '1' COMMENT '1-自提,2=邮寄,3=退款';");
        DB::statement("ALTER TABLE `ufutx_s2_shop_express` CHANGE `status` `status` TINYINT(4) NOT NULL DEFAULT '1' COMMENT '1=待审核,2=审核不通过,3=待发货,4=已发货,5=已签收,6=已退款';");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
